Name:		scummvm
Summary:	An implementation of LucasArts's SCUMM interpreter
Version:	1.5.0
Release:	%mkrel 2
Source0:	http://prdownloads.sourceforge.net/scummvm/%{name}-%{version}.tar.bz2
Patch0:		scummvm-1.2.0-dont-strip.patch
License:	GPLv2+ and LGPLv2+
Url:		http://scummvm.sourceforge.net/
Group:		Games/Adventure
BuildRequires:	SDL-devel 
BuildRequires:	ncurses-devel
BuildRequires:	mad-devel 
BuildRequires:	oggvorbis-devel 
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	nasm
Suggests:	beneath-a-steel-sky
Suggests:	flight-of-the-amazon-queen
Suggests:	lure lure-de lure-es lure-fr lure-it

%description
ScummVM is an implementation of LucasArts S.C.U.M.M.
(Script Creation Utility for Maniac Mansion) interpreter, used in games
such as Monkey Island, Indiana Jones, Day Of The Tentacle, Sam and Max,
and many more. Some things are still missing, and some games cannot
be completeted yet. There are quite a few known bugs. Regardless of
the bugs it is still possible to play some games all the way through 
to the end.

Some of these games have been released as freeware by their
developers, install scummvm-beneath-a-steel-sky or
scummvm-flight-of-the-amazon-queen packages to play.

%prep
%setup -q
%apply_patches

%build
#gw format string errors in 1.0.0
%define Werror_cflags %nil
./configure --prefix=%_prefix --bindir=%_gamesbindir --mandir=%_mandir \
  --datadir=%_gamesdatadir

#Don't want *alot* of warnings about multiline comments...
%make NASMFLAGS="-Ox -gdwarf2 -f elf -Fdwarf"

%install
rm -rf installed-docs
%makeinstall_std 
mv %buildroot%_datadir/doc/%name installed-docs

mkdir -p %{buildroot}%{_datadir}/applications
cp dists/%name.desktop %{buildroot}%{_datadir}/applications

install -D -m 644 dists/maemo/scummvm48.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
install -D -m 644 dists/maemo/scummvm64.png %buildroot%_datadir/icons/hicolor/64x64/apps/%name.png
install -D -m 644 dists/motomagx/pep/scummvm_big_usr.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
install -D -m 644 icons/scummvm.svg %buildroot%_datadir/icons/hicolor/scalable/apps/%name.svg


mkdir -p %{buildroot}%{_datadir}/%{name}

%clean

%files
%defattr(-,root,root)
%doc installed-docs/*
%{_gamesbindir}/*
%{_mandir}/*/*
%{_datadir}/pixmaps/%{name}.xpm
%_gamesdatadir/*
%_datadir/applications/%name.desktop
%dir %{_datadir}/%{name}
%_datadir/icons/hicolor/*/apps/%name.*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 381920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 zezinho <zezinho> 1.5.0-1.mga3
+ Revision: 288178
- new version

* Fri Feb 03 2012 zezinho <zezinho> 1.4.1-1.mga2
+ Revision: 204185
- applied peroyvind build fix
- applied peroyvind build fix
- new version

* Sat Nov 12 2011 zezinho <zezinho> 1.4.0-1.mga2
+ Revision: 167033
- new version

* Mon Oct 10 2011 zezinho <zezinho> 1.3.1-1.mga2
+ Revision: 153732
- new version

* Mon Sep 26 2011 zezinho <zezinho> 1.2.0-1.mga2
+ Revision: 148989
- suggests some game to be usefull
- imported package scummvm

